@echo off

rem If -V or -U is used the script will echo the version or usage and terminate.

rem @(#) tws_main/src/utils/Jnextday.cmd, tws_mae_tools, tws_821, 821_TWS_FP02; 1.16; 04/11/25 11:00:04; /cmvc/tme/vc/3/3/6/9/s.51

setlocal
rem Jnextday message catalog definitions.

rem message set id
set MAE_JNEXTDAY_SET=226
set MAE_COPYRIGHT_SET=234

rem messge ids.
set MSG_USAGE=12501
set COPYRIGHT_CONST=1

set HOME=$(install_dir)
set POSIXHOME=<POSIXHOME>
set TWS_TISDIR=$(install_dir)
set MECHO=%HOME%\bin\mecho

set VERSION=8.2.1
set BANNER=TWS for Windows NT/JNEXTDAY %VERSION% 

if "%1" == "-V" goto banner
if "%1" == "-v" goto banner
if "%1" == "-U" goto usage
if "%1" == "-u" goto usage
goto start

:banner
echo %BANNER%
%MECHO% %MAE_COPYRIGHT_SET% %COPYRIGHT_CONST%
echo Revision: 1.16 
goto done

:usage
echo %BANNER%
%MECHO% %MAE_COPYRIGHT_SET% %COPYRIGHT_CONST%
%MECHO% %MAE_JNEXTDAY_SET% %MSG_USAGE%
goto done

:start
setlocal
echo %BANNER%
%MECHO% %MAE_COPYRIGHT_SET% %COPYRIGHT_CONST%
if "%1" == "-V" goto revision

set path=%HOME%\bin;%path%
set TCL_LIBRARY=%POSIXHOME%/lib

rem cd to maestro's home directory
cd %HOME%

rem check if symphony exists
set SYMFOUND=no
if exist Symphony set SYMFOUND=yes

rem check if CONSLOG exists
if exist CONSLOG del /f CONSLOG

rem Def. 89937
rem check if setup_env.cmd exists => FMW is installed
if exist %SystemRoot%\system32\drivers\etc\Tivoli\oserv\setup_env.cmd goto call1
if exist %SystemRoot%\system32\drivers\etc\Tivoli\setup_env.cmd goto call2

REM  Framework is not installed, can't  run wmaeutil
set CONNFOUND=no
goto tclcall

rem Framework is installed. Source the FW environment to run wmaeutil
:call1
call %SystemRoot%\system32\drivers\etc\Tivoli\oserv\setup_env.cmd
@echo off
set CONNFOUND=no
goto checkConn

:call2
call %SystemRoot%\system32\drivers\etc\Tivoli\setup_env.cmd
@echo off
set CONNFOUND=no
goto checkConn


REM Check if the dll needed to run wmaeutil exists
REM It might not exist if the framework has been uninstalled
REM In that case, a nasty pop up appears

:checkConn
REM check %BINDIR%\maestro\bin existence => TWSConn installed
if exist %BINDIR%\maestro\bin set CONNFOUND=yes

:tclcall

tclsh %HOME%\jnextday.tcl

endlocal

:done
