echo OFF
echo "twsCommitAction****************"

echo "TWS home dir %1%"
echo "TWS Action Tools %2%"
echo "TWS user name %3%"
echo "TWS domain name %4%"
echo "computer_name %5%"
echo "agent %6%"
echo "TWSREGISTRYFILE %7%"
echo "VERBOSE %8%"

SET TWS_HOME=%~1%
SET DRIVE_TWS_HOME=%~d1
SET ACTIONTOOLSDIR=%~2%
SET DRIVE_ACTIONTOOLSDIR=%~d2
SET tws_user=%~3%
SET domain=%~4%
SET computer_name=%~5%
SET agent=%~6%
SET TWSREGISTRYFILE=%~7%
SET VERBOSE="%8%"
SET STATUSDIR=%TWS_HOME%\_uninstall\ACTIONTOOLS



if NOT "%VERBOSE%" == "-verbose" SET VERBOSE=

%DRIVE_TWS_HOME%
cd %TWS_HOME%
rem call %TWS_HOME%\tws_env.cmd
set PATH=%TWS_HOME%;%TWS_HOME%\bin;%PATH%
set TWS_TISDIR=%TWS_HOME%

rem Remember: Security File must be created after StartUp so it can not be placed in twsConfigAction.cmd
rem Copy old security file if migrating an instance pre 8.2
rem Scenario Fresh: NO
rem Scenario Upgrade: YES
rem Scenario Promote: NO
rem Scenario Patch: NO
IF EXIST %STATUSDIR%\FLOW_UPGRADE.historyFile (
IF NOT EXIST %STATUSDIR%\8.2_DISCOVERY.historyFile (
  IF EXIST %TWS_HOME%\Security call del /F /Q "%TWS_HOME%\Security"
  echo "Copy security file from unison dir..."
  IF EXIST ..\unison\Security call copy /Y/B "..\unison\Security" "%TWS_HOME%\Security"
)
)

IF NOT EXIST %TWS_HOME%\Security call makesec Security.conf
if not %errorlevel%==0 echo "makesec"&&exit %errorlevel%
call %TWS_HOME%\bin\setown -u %domain%\%tws_user% %TWS_HOME%\Security
cacls %TWS_HOME%\Security /c /e /g %domain%\%tws_user%:f


rem Create cpu in DB using composer
rem Scenario Fresh: YES
rem Scenario Upgrade: NO
rem Scenario Promote: YES
rem Scenario Patch: NO
IF NOT EXIST %STATUSDIR%\FLOW_UPGRADE.historyFile (
IF NOT EXIST %STATUSDIR%\FLOW_PATCH.historyFile (

echo "CALLING COMPOSER STEP"
if "%agent%" == "MDM" call composer replace cpudef_wnt
if "%agent%" == "MDM" call composer replace userdef_wnt
if not %errorlevel%==0 echo "composer"&&exit %errorlevel%
)
)



echo "CALLING TWS REGISTRY KEYWORDS STEP"

rem *****************
rem CLEAN ENVIRONMENT
rem *****************

rem TWSREGISTRY.DAT CLEANING *****
rem Scenario Fresh: YES
rem Scenario Upgrade: YES
rem Scenario Promote: NO
rem Scenario Patch: NO

IF NOT EXIST %TWSREGISTRYFILE% call echo "Creating TWSRegistryFile"
IF NOT EXIST %TWSREGISTRYFILE% call echo " " > %TWSREGISTRYFILE%

IF EXIST %STATUSDIR%\FLOW_PROMOTE.historyFile goto cleanAgentInfo
IF EXIST %STATUSDIR%\FLOW_PATCH.historyFile goto cleanAgentInfo


echo "Modify All TWSRegistry.dat entries"

call "%ACTIONTOOLSDIR%\TWSupdate_file.exe" -delRow "%TWSREGISTRYFILE%" /Tivoli/Workload_Scheduler/%tws_user%_DN_objectClass %VERBOSE%
if not %errorlevel%==0 echo "TWSupdate_file.exe"&&exit %errorlevel%
call "%ACTIONTOOLSDIR%\TWSupdate_file.exe" -delRow "%TWSREGISTRYFILE%" /Tivoli/Workload_Scheduler/%tws_user%_DN_PackageName %VERBOSE%
if not %errorlevel%==0 echo "TWSupdate_file.exe"&&exit %errorlevel%
call "%ACTIONTOOLSDIR%\TWSupdate_file.exe" -delRow "%TWSREGISTRYFILE%" /Tivoli/Workload_Scheduler/%tws_user%_DN_MajorVersion %VERBOSE%
if not %errorlevel%==0 echo "TWSupdate_file.exe"&&exit %errorlevel%
call "%ACTIONTOOLSDIR%\TWSupdate_file.exe" -delRow "%TWSREGISTRYFILE%" /Tivoli/Workload_Scheduler/%tws_user%_DN_MinorVersion %VERBOSE%
if not %errorlevel%==0 echo "TWSupdate_file.exe"&&exit %errorlevel%
call "%ACTIONTOOLSDIR%\TWSupdate_file.exe" -delRow "%TWSREGISTRYFILE%" /Tivoli/Workload_Scheduler/%tws_user%_DN_PatchVersion %VERBOSE%
if not %errorlevel%==0 echo "TWSupdate_file.exe"&&exit %errorlevel%
call "%ACTIONTOOLSDIR%\TWSupdate_file.exe" -delRow "%TWSREGISTRYFILE%" /Tivoli/Workload_Scheduler/%tws_user%_DN_FeatureList %VERBOSE%
if not %errorlevel%==0 echo "TWSupdate_file.exe"&&exit %errorlevel%
call "%ACTIONTOOLSDIR%\TWSupdate_file.exe" -delRow "%TWSREGISTRYFILE%" /Tivoli/Workload_Scheduler/%tws_user%_DN_ProductID %VERBOSE%
if not %errorlevel%==0 echo "TWSupdate_file.exe"&&exit %errorlevel%
call "%ACTIONTOOLSDIR%\TWSupdate_file.exe" -delRow "%TWSREGISTRYFILE%" /Tivoli/Workload_Scheduler/%tws_user%_DN_ou %VERBOSE%
if not %errorlevel%==0 echo "TWSupdate_file.exe"&&exit %errorlevel%
call "%ACTIONTOOLSDIR%\TWSupdate_file.exe" -delRow "%TWSREGISTRYFILE%" /Tivoli/Workload_Scheduler/%tws_user%_DN_InstallationPath %VERBOSE%
if not %errorlevel%==0 echo "TWSupdate_file.exe"&&exit %errorlevel%
call "%ACTIONTOOLSDIR%\TWSupdate_file.exe" -delRow "%TWSREGISTRYFILE%" /Tivoli/Workload_Scheduler/%tws_user%_DN_UserOwner %VERBOSE%
if not %errorlevel%==0 echo "TWSupdate_file.exe"&&exit %errorlevel%
call "%ACTIONTOOLSDIR%\TWSupdate_file.exe" -delRow "%TWSREGISTRYFILE%" /Tivoli/Workload_Scheduler/%tws_user%_DN_MaintenanceVersion %VERBOSE%
if not %errorlevel%==0 echo "TWSupdate_file.exe"&&exit %errorlevel%

echo "Adding TWSRegistry.dat entries"

rem TWSREGISTRY.DAT ADDING   *****
call "%ACTIONTOOLSDIR%\TWSupdate_file.exe" -addRow "%TWSREGISTRYFILE%" /Tivoli/Workload_Scheduler/%tws_user%_DN_objectClass=OU %VERBOSE%
if not %errorlevel%==0 echo "TWSupdate_file.exe"&&exit %errorlevel%
call "%ACTIONTOOLSDIR%\TWSupdate_file.exe" -addRow "%TWSREGISTRYFILE%" /Tivoli/Workload_Scheduler/%tws_user%_DN_PackageName=FP_TWS_NT_%tws_user%.8.2.1.00 %VERBOSE%
if not %errorlevel%==0 echo "TWSupdate_file.exe"&&exit %errorlevel%
call "%ACTIONTOOLSDIR%\TWSupdate_file.exe" -addRow "%TWSREGISTRYFILE%" /Tivoli/Workload_Scheduler/%tws_user%_DN_MajorVersion=8 %VERBOSE%
if not %errorlevel%==0 echo "TWSupdate_file.exe"&&exit %errorlevel%
call "%ACTIONTOOLSDIR%\TWSupdate_file.exe" -addRow "%TWSREGISTRYFILE%" /Tivoli/Workload_Scheduler/%tws_user%_DN_MinorVersion=2 %VERBOSE%
if not %errorlevel%==0 echo "TWSupdate_file.exe"&&exit %errorlevel%
call "%ACTIONTOOLSDIR%\TWSupdate_file.exe" -addRow "%TWSREGISTRYFILE%" /Tivoli/Workload_Scheduler/%tws_user%_DN_PatchVersion= %VERBOSE%
if not %errorlevel%==0 echo "TWSupdate_file.exe"&&exit %errorlevel%
call "%ACTIONTOOLSDIR%\TWSupdate_file.exe" -addRow "%TWSREGISTRYFILE%" /Tivoli/Workload_Scheduler/%tws_user%_DN_FeatureList= %VERBOSE%
if not %errorlevel%==0 echo "TWSupdate_file.exe"&&exit %errorlevel%
call "%ACTIONTOOLSDIR%\TWSupdate_file.exe" -addRow "%TWSREGISTRYFILE%" /Tivoli/Workload_Scheduler/%tws_user%_DN_ProductID=TWS_ENGINE %VERBOSE%
if not %errorlevel%==0 echo "TWSupdate_file.exe"&&exit %errorlevel%
call "%ACTIONTOOLSDIR%\TWSupdate_file.exe" -addRow "%TWSREGISTRYFILE%" /Tivoli/Workload_Scheduler/%tws_user%_DN_ou=%tws_user% %VERBOSE%
if not %errorlevel%==0 echo "TWSupdate_file.exe"&&exit %errorlevel%
call "%ACTIONTOOLSDIR%\TWSupdate_file.exe" -addRow "%TWSREGISTRYFILE%" /Tivoli/Workload_Scheduler/%tws_user%_DN_InstallationPath=%TWS_HOME% %VERBOSE%
if not %errorlevel%==0 echo "TWSupdate_file.exe"&&exit %errorlevel%
call "%ACTIONTOOLSDIR%\TWSupdate_file.exe" -addRow "%TWSREGISTRYFILE%" /Tivoli/Workload_Scheduler/%tws_user%_DN_UserOwner=%tws_user% %VERBOSE%
if not %errorlevel%==0 echo "TWSupdate_file.exe"&&exit %errorlevel%
call "%ACTIONTOOLSDIR%\TWSupdate_file.exe" -addRow "%TWSREGISTRYFILE%" /Tivoli/Workload_Scheduler/%tws_user%_DN_MaintenanceVersion=1 %VERBOSE%
if not %errorlevel%==0 echo "TWSupdate_file.exe"&&exit %errorlevel%



:cleanAgentInfo
echo "cleaning agent info"
call "%ACTIONTOOLSDIR%\TWSupdate_file.exe" -delRow "%TWSREGISTRYFILE%" /Tivoli/Workload_Scheduler/%tws_user%_DN_Ag %VERBOSE%
if not %errorlevel%==0 echo "TWSupdate_file.exe"&&exit %errorlevel%

if "%agent%" == "SA" call "%ACTIONTOOLSDIR%\TWSupdate_file.exe" -addRow "%TWSREGISTRYFILE%" /Tivoli/Workload_Scheduler/%tws_user%_DN_Agent=SA %VERBOSE%
if "%agent%" == "FTA" call "%ACTIONTOOLSDIR%\TWSupdate_file.exe" -addRow "%TWSREGISTRYFILE%" /Tivoli/Workload_Scheduler/%tws_user%_DN_Agent=FTA %VERBOSE%
if "%agent%" == "MDM" call "%ACTIONTOOLSDIR%\TWSupdate_file.exe" -addRow "%TWSREGISTRYFILE%" /Tivoli/Workload_Scheduler/%tws_user%_DN_Agent=MDM %VERBOSE%
if "%agent%" == "BKM" call "%ACTIONTOOLSDIR%\TWSupdate_file.exe" -addRow "%TWSREGISTRYFILE%" /Tivoli/Workload_Scheduler/%tws_user%_DN_Agent=BKM %VERBOSE%
if not %errorlevel%==0 echo "TWSupdate_file.exe"&&exit %errorlevel%


rem *** FIXPACK ONLY ***
rem /Tivoli/Workload_Scheduler/$(tws_user)_DN_FixpackName=FP_TWS_NT_$(tws_user).8.2.0.$(patch_id)
rem Scenario Fresh: NO
rem Scenario Upgrade: NO
rem Scenario Promote: NO
rem Scenario Patch: YES

rem SPB will execute this step
rem IF EXIST %STATUSDIR%\FLOW_PATCH.historyFile call %ACTIONTOOLSDIR%\TWSupdate_file.exe -addRow "%TWSREGISTRYFILE%" /Tivoli/Workload_Scheduler/%tws_user%_DN_FixpackName=FP_TWS_NT_%tws_user%.8.2.1.01 %VERBOSE%




rem OLD TWS INSTANCES CLEANING ********
rem NT SERVICES:
rem Scenario Fresh: YES
rem Scenario Upgrade: YES
rem Scenario Promote: YES
rem Scenario Patch: NO

IF NOT EXIST %STATUSDIR%\FLOW_PATCH.historyFile (
call "%ACTIONTOOLSDIR%\twsConfigAction.exe" -DeregisterWinService netman_%domain%_%tws_user%
if not %errorlevel%==0 echo "twsConfigAction.exe"&&exit %errorlevel%
call "%ACTIONTOOLSDIR%\twsConfigAction.exe" -DeregisterWinService maestro_%domain%_%tws_user%
if not %errorlevel%==0 echo "twsConfigAction.exe"&&exit %errorlevel%
call "%ACTIONTOOLSDIR%\twsConfigAction.exe" -DeregisterWinService tokensrv_%domain%_%tws_user%
if not %errorlevel%==0 echo "twsConfigAction.exe"&&exit %errorlevel%
call "%ACTIONTOOLSDIR%\twsConfigAction.exe" -DeregisterWinService netman_%tws_user%
if not %errorlevel%==0 echo "twsConfigAction.exe"&&exit %errorlevel%
call "%ACTIONTOOLSDIR%\twsConfigAction.exe" -DeregisterWinService maestro_%tws_user%
if not %errorlevel%==0 echo "twsConfigAction.exe"&&exit %errorlevel%
call "%ACTIONTOOLSDIR%\twsConfigAction.exe" -DeregisterWinService tokensrv_%tws_user%
if not %errorlevel%==0 echo "twsConfigAction.exe"&&exit %errorlevel%

echo "CALLING NT REGISTRY KEYWORDS STEP"


rem NT REGISTRY KEYWORDS:
call "%ACTIONTOOLSDIR%\twsConfigAction.exe" -CleanupRegistryKey "SOFTWARE\Unison Software, Inc.\Unison Maestro\8.1_%domain%_%tws_user%"
if not %errorlevel%==0 echo "twsConfigAction.exe"&&exit %errorlevel%
call "%ACTIONTOOLSDIR%\twsConfigAction.exe" -CleanupRegistryKey "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Unison Maestro (User=%domain%_%tws_user%)"
if not %errorlevel%==0 echo "twsConfigAction.exe"&&exit %errorlevel%
call "%ACTIONTOOLSDIR%\twsConfigAction.exe" -CleanupRegistryKey "SOFTWARE\IBM\Tivoli Workload Scheduler\8.2_%domain%_%tws_user%"
if not %errorlevel%==0 echo "twsConfigAction.exe"&&exit %errorlevel%

)



echo "CALLING COMMIT SPB STEP"
IF NOT EXIST %STATUSDIR%\METHOD_CM.historyFile (
rem we are inside SPB so do not call wconvcat and SPB commit action
echo "Commit CM entries"

%DRIVE_ACTIONTOOLSDIR%
cd "%ACTIONTOOLSDIR%"
cd ..
cd CLI

call swd_env.bat

rem Commit CM packages
rem Scenario Fresh: YES
rem Scenario Upgrade: YES
rem Scenario Promote: YES
rem Scenario Patch: NO

IF NOT EXIST %STATUSDIR%\FLOW_PATCH.historyFile (
call wdacptsp.exe "TWS_LP_%tws_user%.8.2.1.00"
call wdacptsp.exe "FP_TWS_WINDOWS_%tws_user%.8.2.1.00"
)

call wconvcat_env.bat
call wconvcat.exe -d

)


rem Removing SymphonyFile in promote scenario
rem Scenario Fresh: NO
rem Scenario Upgrade: NO
rem Scenario Promote: YES
rem Scenario Patch: NO
IF EXIST %STATUSDIR%\FLOW_PROMOTE.historyFile (
echo "Removing Symphony file for master..."
if "%agent%" == "MDM" call del /F /Q %TWS_HOME%\Symphony
if "%agent%" == "BKM" call del /F /Q %TWS_HOME%\Symphony
)



rem Clean binaries for different agents
rem Scenario Fresh: YES
rem Scenario Upgrade: YES
rem Scenario Promote: YES
rem Scenario Patch: NO

SET REMOVEDELTA_MASTER=false
SET REMOVEDELTA_FTA=false

IF "%agent%" == "SA" (
  SET REMOVEDELTA_MASTER=true
  SET REMOVEDELTA_FTA=true
)

IF "%agent%" == "FTA" (
  SET REMOVEDELTA_MASTER=true
)

IF EXIST %STATUSDIR%\FLOW_PATCH.historyFile (
SET REMOVEDELTA_MASTER=false
SET REMOVEDELTA_FTA=false
)

IF "%REMOVEDELTA_MASTER%" == "true" (
echo "Removing delta Master files..."
    del /F /Q %TWS_HOME%\Jnextday.cmd
    del /F /Q %TWS_HOME%\Jnextday.tcl
    del /F /Q %TWS_HOME%\Sfinal

    del /F /Q %TWS_HOME%\demo\DEMOCPU
    del /F /Q %TWS_HOME%\demo\DEMONETCPU
    del /F /Q %TWS_HOME%\demo\DEMOSETUP.CMD
    del /F /Q %TWS_HOME%\demo\DEMOSETUP.TCL
    del /F /Q %TWS_HOME%\demo\JAPJOB1.CMD
    del /F /Q %TWS_HOME%\demo\JAPJOB2.CMD
    del /F /Q %TWS_HOME%\demo\JARJOB1.CMD
    del /F /Q %TWS_HOME%\demo\JARJOB2.CMD
    del /F /Q %TWS_HOME%\demo\JDEMOJCL.CMD
    del /F /Q %TWS_HOME%\demo\JGLJOB1.CMD
    del /F /Q %TWS_HOME%\demo\JGLJOB1.TCL
    del /F /Q %TWS_HOME%\demo\JGLJOB2.CMD
    del /F /Q %TWS_HOME%\demo\SAPAY
    del /F /Q %TWS_HOME%\demo\SAREC
    del /F /Q %TWS_HOME%\demo\SGL
    del /F /Q %TWS_HOME%\demo\SKEDLIST
    del /F /Q %TWS_HOME%\demo\sleep.exe
    del /F /Q %TWS_HOME%\bin\archiver.exe
    del /F /Q %TWS_HOME%\bin\caxtract.exe
    del /F /Q %TWS_HOME%\bin\compiler.exe
    del /F /Q %TWS_HOME%\bin\composer.exe
    del /F /Q %TWS_HOME%\bin\crossref.exe
    del /F /Q %TWS_HOME%\bin\dbexpand.exe
    del /F /Q %TWS_HOME%\bin\dbinfo.exe
    del /F /Q %TWS_HOME%\bin\jbxtract.exe
    del /F /Q %TWS_HOME%\bin\jhxtract.exe
    del /F /Q %TWS_HOME%\bin\logman.exe
    del /F /Q %TWS_HOME%\bin\makecal.cmd
    del /F /Q %TWS_HOME%\bin\makecal.tcl
    del /F /Q %TWS_HOME%\bin\paxtract.exe
    del /F /Q %TWS_HOME%\bin\prxtract.exe
    del /F /Q %TWS_HOME%\bin\r11xtr.exe
    del /F /Q %TWS_HOME%\bin\rebuild.exe
    del /F /Q %TWS_HOME%\bin\rep1.cmd
    del /F /Q %TWS_HOME%\bin\rep11.cmd
    del /F /Q %TWS_HOME%\bin\rep2.cmd
    del /F /Q %TWS_HOME%\bin\rep3.cmd
    del /F /Q %TWS_HOME%\bin\rep4a.cmd
    del /F /Q %TWS_HOME%\bin\rep4b.cmd
    del /F /Q %TWS_HOME%\bin\rep7.cmd
    del /F /Q %TWS_HOME%\bin\rep8.cmd
    del /F /Q %TWS_HOME%\bin\rep8.tcl
    del /F /Q %TWS_HOME%\bin\report1.exe
    del /F /Q %TWS_HOME%\bin\report11.exe
    del /F /Q %TWS_HOME%\bin\report2.exe
    del /F /Q %TWS_HOME%\bin\report3.exe
    del /F /Q %TWS_HOME%\bin\report4a.exe
    del /F /Q %TWS_HOME%\bin\report4b.exe
    del /F /Q %TWS_HOME%\bin\report7.exe
    del /F /Q %TWS_HOME%\bin\report8.exe
    del /F /Q %TWS_HOME%\bin\reporter.exe
    del /F /Q %TWS_HOME%\bin\reptr.cmd
    del /F /Q %TWS_HOME%\bin\rextract.exe
    del /F /Q %TWS_HOME%\bin\schedulr.exe
    del /F /Q %TWS_HOME%\bin\sorter.exe
    del /F /Q %TWS_HOME%\bin\stageman.exe

    del /F /Q %TWS_HOME%\bin\syxtract.exe
    del /F /Q %TWS_HOME%\bin\xref.cmd
    del /F /Q %TWS_HOME%\bin\xrxtrct.exe
)
IF "%REMOVEDELTA_FTA%" == "true" (
    echo "Removing delta FTA files..."
    del /F /Q %TWS_HOME%\bin\batchman.exe
)



echo "Removing old TWS version files..."

rem Scenario Fresh: YES
rem Scenario Upgrade: YES
rem Scenario Promote: YES
rem Scenario Patch: NO

IF NOT EXIST %STATUSDIR%\FLOW_PATCH.historyFile (

del /F /Q %TWS_HOME%\customize.cmd
del /F /Q %TWS_HOME%\DelsL1.isu
del /F /Q %TWS_HOME%\bin\gsort.exe
del /F /Q %TWS_HOME%\bin\MaestroUninstall.dll
del /F /Q %TWS_HOME%\bin\gconman.exe
del /F /Q %TWS_HOME%\bin\gconman.vhs
del /F /Q %TWS_HOME%\bin\gconman.vr
del /F /Q %TWS_HOME%\bin\psetcode.exe
del /F /Q %TWS_HOME%\bin\vgal5.dll
del /F /Q %TWS_HOME%\bin\vgal5x.dll
del /F /Q %TWS_HOME%\bin\vgalaxy5.vr
del /F /Q %TWS_HOME%\bin\Vhelpsrv.exe
del /F /Q %TWS_HOME%\bin\vhelpsrv.vhs
del /F /Q %TWS_HOME%\bin\vhelpsrv.vr
del /F /Q %TWS_HOME%\bin\Visualm.exe
del /F /Q %TWS_HOME%\bin\Visualm.hlp
del /F /Q %TWS_HOME%\bin\Visualm.hlp

rem Old TWS8.2 uninstall dir
del /F /S /Q %TWS_HOME%\_uninst
rd /S /Q %TWS_HOME%\_uninst

del /F /Q %TWS_HOME%\cpudef_wnt
del /F /Q %TWS_HOME%\userdef_wnt
del /F /Q %TWS_HOME%\Security.conf
del /F /Q %TWS_HOME%\stop_connector.cmd
del /F /Q %TWS_HOME%\config\Jnextday.cmd
del /F /Q %TWS_HOME%\config\Jnextday.tcl
del /F /Q %TWS_HOME%\config\Sfinal
)



rem Cleaning components file
rem Scenario Fresh: NO
rem Scenario Upgrade: YES
rem Scenario Promote: NO
rem Scenario Patch: NO
IF EXIST %STATUSDIR%\FLOW_UPGRADE.historyFile (
echo "Cleaning components file..."
%DRIVE_TWS_HOME%
cd %TWS_HOME%
cd ..
cd unison
cd netman
IF EXIST components call "%ACTIONTOOLSDIR%\TWSupdate_file.exe" -delRow "components" %tws_user%
)

del /F /Q %TWS_HOME%\twsRestore.cmd
del /F /Q %TWS_HOME%\*.old
del /F /Q %TWS_HOME%\mozart\*.old
del /F /Q %TWS_HOME%\*.bck
del /F /Q %TWS_HOME%\mozart\*.bck
del /F /Q %TWS_HOME%\Tbsm\TbsmAdapter\*.bck
del /F /Q %TWS_HOME%\userdef_wnt
del /F /Q %STATUSDIR%\*.historyFile

echo "Commit exited successfully"
exit 0
